# Uses of Class
it.tdlight.jni.TdApi.ChatJoinRequestsInfo

## Uses of TdApi.ChatJoinRequestsInfo in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatJoinRequestsInfo
Modifier and Type
Field
Description
`TdApi.ChatJoinRequestsInfo`
TdApi.Chat.`pendingJoinRequests`
Information about pending join requests; may be null.
`TdApi.ChatJoinRequestsInfo`
TdApi.UpdateChatPendingJoinRequests.`pendingJoinRequests`
The new data about pending join requests; may be null.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatJoinRequestsInfo
Modifier
Constructor
Description
``
`Chat(long id, TdApi.ChatType type, String title, TdApi.ChatPhotoInfo photo, TdApi.ChatPermissions permissions, TdApi.Message lastMessage, TdApi.ChatPosition[] positions, boolean isMarkedAsUnread, boolean isBlocked, boolean hasScheduledMessages, boolean canBeDeletedOnlyForSelf, boolean canBeDeletedForAllUsers, boolean canBeReported, boolean defaultDisableNotification, int unreadCount, long lastReadInboxMessageId, long lastReadOutboxMessageId, int unreadMentionCount, TdApi.ChatNotificationSettings notificationSettings, int messageTtlSetting, String themeName, TdApi.ChatActionBar actionBar, TdApi.VideoChat videoChat, TdApi.ChatJoinRequestsInfo pendingJoinRequests, long replyMarkupMessageId, TdApi.DraftMessage draftMessage, String clientData)`
A chat.
``
`UpdateChatPendingJoinRequests(long chatId, TdApi.ChatJoinRequestsInfo pendingJoinRequests)`
The chat pending join requests were changed.